Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWTextListenerInternal::State Struct Reference

the state of a MWAWTextListener More...

## Public Member Functions
| State ()
| constructor More...
| ~State ()
| destructor More...

## Public Attributes
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text More...
int | m_numDeferredTabs
| the number of tabs to add More...
MWAWFont | m_font
| the font More...
MWAWParagraph | m_paragraph
| the paragraph More...
int | m_paragraphNeedBreak
| a sequence of bit used to know if we need page/column break More...
std::shared_ptr< MWAWList > | m_list
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isGroupOpened
| a flag to know if openGroup was called More...
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
MWAWSection | m_section
| the section More...
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open More...
bool | m_isNote
bool | m_inLink
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions
| State (const State &)=delete
State & | operator= (const State &)=delete

## Detailed Description

the state of a MWAWTextListener

## Constructor & Destructor Documentation

## ◆ State() [1/2]

MWAWTextListenerInternal::State::State | ( |  | ) |

constructor

## ◆ ~State()

MWAWTextListenerInternal::State::~State | ( |  | ) |
| inline

destructor

## ◆ State() [2/2]

MWAWTextListenerInternal::State::State | ( | const State & |  | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

State& MWAWTextListenerInternal::State::operator= | ( | const State & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_currentPage

unsigned MWAWTextListenerInternal::State::m_currentPage

## ◆ m_currentPageNumber

int MWAWTextListenerInternal::State::m_currentPageNumber

## ◆ m_firstParagraphInPageSpan

bool MWAWTextListenerInternal::State::m_firstParagraphInPageSpan

## ◆ m_font

MWAWFont MWAWTextListenerInternal::State::m_font

the font

## ◆ m_inLink

bool MWAWTextListenerInternal::State::m_inLink

## ◆ m_inSubDocument

bool MWAWTextListenerInternal::State::m_inSubDocument

a stack used to know what is open

## ◆ m_isFrameOpened

bool MWAWTextListenerInternal::State::m_isFrameOpened

## ◆ m_isGroupOpened

bool MWAWTextListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

## ◆ m_isHeaderFooterWithoutParagraph

bool MWAWTextListenerInternal::State::m_isHeaderFooterWithoutParagraph

## ◆ m_isListElementOpened

bool MWAWTextListenerInternal::State::m_isListElementOpened

## ◆ m_isNote

bool MWAWTextListenerInternal::State::m_isNote

## ◆ m_isPageSpanBreakDeferred

bool MWAWTextListenerInternal::State::m_isPageSpanBreakDeferred

## ◆ m_isPageSpanOpened

bool MWAWTextListenerInternal::State::m_isPageSpanOpened

## ◆ m_isParagraphOpened

bool MWAWTextListenerInternal::State::m_isParagraphOpened

## ◆ m_isSectionOpened

bool MWAWTextListenerInternal::State::m_isSectionOpened

## ◆ m_isSpanOpened

bool MWAWTextListenerInternal::State::m_isSpanOpened

## ◆ m_isTableCellOpened

bool MWAWTextListenerInternal::State::m_isTableCellOpened

## ◆ m_isTableColumnOpened

bool MWAWTextListenerInternal::State::m_isTableColumnOpened

## ◆ m_isTableOpened

bool MWAWTextListenerInternal::State::m_isTableOpened

## ◆ m_isTableRowOpened

bool MWAWTextListenerInternal::State::m_isTableRowOpened

## ◆ m_list

std::shared_ptr<MWAWList> MWAWTextListenerInternal::State::m_list

## ◆ m_listOrderedLevels

std::vector<bool> MWAWTextListenerInternal::State::m_listOrderedLevels

## ◆ m_numDeferredTabs

int MWAWTextListenerInternal::State::m_numDeferredTabs

the number of tabs to add

## ◆ m_numPagesRemainingInSpan

int MWAWTextListenerInternal::State::m_numPagesRemainingInSpan

## ◆ m_paragraph

MWAWParagraph MWAWTextListenerInternal::State::m_paragraph

the paragraph

## ◆ m_paragraphNeedBreak

int MWAWTextListenerInternal::State::m_paragraphNeedBreak

a sequence of bit used to know if we need page/column break

## ◆ m_section

MWAWSection MWAWTextListenerInternal::State::m_section

the section

## ◆ m_sectionAttributesChanged

bool MWAWTextListenerInternal::State::m_sectionAttributesChanged

## ◆ m_subDocumentType

libmwaw::SubDocumentType MWAWTextListenerInternal::State::m_subDocumentType

## ◆ m_textBuffer

librevenge::RVNGString MWAWTextListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- MWAWTextListener.cxx